Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.namestore.interfaces
Class NSPollTst

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.verisign.epp.namestore.interfaces.NSPollTst

All Implemented Interfaces:
  junit.framework.Test

    public class NSPollTst

extends junit.framework.TestCase

Tests the handling of NameStore poll messages. This test also functions as a sample for handling all of the possible poll messages generated by NameStore.

See Also:
  `NSDomain`, `EPPDomain`

Constructor Summary
`NSPollTst(java.lang.String name)` Allocates an `NSPollTst` with a logical name.

Method Summary
`static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
`static void` | `printEnd(java.lang.String aTest)` Print the end of a test with the `Thread` name if the current thread is a `TestThread`.
`static void` | `printStart(java.lang.String aTest)` Print the start of a test with the `Thread` name if the current thread is a `TestThread`.
`protected void` | `setUp()` JUNIT `setUp` method
`static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `NSPollTst`.
`protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
`void` | `testEndSession()` Unit test of `EPPSession.endSession`.
`void` | `testPoll()` Unit test of `EPPSession.sendPoll` command.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NSPollTst

    public NSPollTst(java.lang.String name)

  Allocates an `NSPollTst` with a logical name. The constructor will initialize the base class `TestCase` with the logical name.

  Parameters:
    `name` - Logical name of the test

Method Detail

### testPoll

    public void testPoll()

  Unit test of `EPPSession.sendPoll` command.

### testEndSession

    public void testEndSession()

  Unit test of `EPPSession.endSession`. One session in the session pool wil be ended.

### setUp

    protected void setUp()

  JUNIT `setUp` method

  Overrides:
    `setUp` in class `junit.framework.TestCase`

### tearDown

    protected void tearDown()

  JUNIT `tearDown`, which currently does nothing.

  Overrides:
    `tearDown` in class `junit.framework.TestCase`

### suite

    public static junit.framework.Test suite()

  JUNIT `suite` static method, which returns the tests associated with `NSPollTst`.

  Returns:
    DOCUMENT ME!

### main

    public static void main(java.lang.String[] args)

  Unit test main, which accepts the following system property options:
  - iterations Number of unit test iterations to run
  - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.

  Parameters:
    `args` - DOCUMENT ME!

### printStart

    public static void printStart(java.lang.String aTest)

  Print the start of a test with the `Thread` name if the current thread is a `TestThread`.

  Parameters:
    `aTest` - name for the test

### printEnd

    public static void printEnd(java.lang.String aTest)

  Print the end of a test with the `Thread` name if the current thread is a `TestThread`.

  Parameters:
    `aTest` - name for the test

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.